<IoNode_Debug>
    <Audio_Mixer name="mixer" channels="4"/>

    <Audio_Sin name="1" f="110" n="4024"/>
    <Audio_Sin name="2" f="220" n="4024"/>
    <Audio_Sin name="3" f="440" n="4024"/>
    <Audio_Sin name="4" f="55" n="4024"/>

    <IoNode_Pipe source="/1" target="/mixer/0"/>
    <IoNode_Pipe source="/2" target="/mixer/1"/>
    <IoNode_Pipe source="/3" target="/mixer/2"/>
    <IoNode_Pipe source="/4" target="/mixer/3"/>


    <Timeline bpm="90">

        <Timeline_Track name="track_1" position="0" duration="4">
            <Timeline_Loop name="thrid" url="/controls/down" action="call" dt="1"/>
        </Timeline_Track>

        <Timeline_Track name="track_2" position="5" duration="4">
            <Timeline_Loop name="thrid" url="/controls/up" action="call" dt="1"/>
        </Timeline_Track>
       
    </Timeline>



    <Atom name="controls">

        <Action name="up">
            <Atom_IncrementInteger select="/1" increment="10"  attr="f"/>
            <Atom_IncrementInteger select="/2" increment="10"  attr="f"/>
            <Atom_IncrementInteger select="/3" increment="10"  attr="f"/>
        </Action>

        <Action name="down">
            <Atom_IncrementInteger select="/1" increment="-10"  attr="f"/>
            <Atom_IncrementInteger select="/2" increment="-10"  attr="f"/>
            <Atom_IncrementInteger select="/3" increment="-10"  attr="f"/>
        </Action>
    </Atom>

</IoNode_Debug>
